#!/bin/bash

if test x"$1" = x ; then
	echo "Usage : $0 [options]"
	echo "        --global-install  install service for all user (require root)"
	echo "        --user-install    install service only for your user"
	exit 0
fi

case $1 in
	"--global-install")
		if test "$UID" = "0" ; then
			cp -f background.desktop `kde-config --prefix`/share/apps/konqueror/servicemenus/
		else 
			echo "You need to log as root to install for all user"
			exit 1
		fi
		;;
	"--user-install")
		cp -f background.desktop ~/.kde/share/apps/konqueror/servicemenus/
		;;
	*)
		echo "option $1 unknown"
		exit 1
esac

